Subject: [alpine-devel] [PATCH 1/2] testing/sqsh: set proper sysconfdir

From: Jeff Bilyk <[email-masked]>
Date: Wed, 25 May 2011 22:58:21 -0400

testing/sqsh: set proper sysconfdir
---
 testing/sqsh/APKBUILD |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/testing/sqsh/APKBUILD b/testing/sqsh/APKBUILD
index 73bf07a..29d727f 100644
--- a/testing/sqsh/APKBUILD
+++ b/testing/sqsh/APKBUILD
@@ -2,7 +2,7 @@
 # Maintainer:
 pkgname=sqsh
 pkgver=2.1.7
-pkgrel=0
+pkgrel=1
 pkgdesc="Sybase iSQL replacement"
 url="http://www.sqsh.org"
 arch="all"
@@ -30,6 +30,7 @@ build() {
 	SYBASE=/usr
 	export SYBASE
 	./configure --prefix=/usr \
+		--sysconfdir=/etc \
 		--mandir=/usr/share/doc \
 #		--with-x \
 		--with-readline
-- 
1.7.5.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Jeff Bilyk <[email-masked]>
Date: Wed, 25 May 2011 22:58:22 -0400

main/sqsh: moved from testing
---
 main/sqsh/APKBUILD    |   46 ++++++++++++++++++++++++++++++++++++++++++++++
 testing/sqsh/APKBUILD |   46 ----------------------------------------------
 2 files changed, 46 insertions(+), 46 deletions(-)
 create mode 100644 main/sqsh/APKBUILD
 delete mode 100644 testing/sqsh/APKBUILD

diff --git a/main/sqsh/APKBUILD b/main/sqsh/APKBUILD
new file mode 100644
index 0000000..29d727f
--- /dev/null
+++ b/main/sqsh/APKBUILD
@@ -0,0 +1,46 @@
+# Contributor: Ashton Spencer <[email-masked]>
+# Maintainer:
+pkgname=sqsh
+pkgver=2.1.7
+pkgrel=1
+pkgdesc="Sybase iSQL replacement"
+url="http://www.sqsh.org"
+arch="all"
+license="GPL"
+depends="freetds readline"
+depends_dev="freetds-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	SYBASE=/usr
+	export SYBASE
+	./configure --prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/doc \
+#		--with-x \
+		--with-readline
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	make DESTDIR="$pkgdir" install.man || return 1
+}
+
+md5sums="ce929dc8e23cedccac98288d24785e2d  sqsh-2.1.7.tar.gz"
diff --git a/testing/sqsh/APKBUILD b/testing/sqsh/APKBUILD
deleted file mode 100644
index 29d727f..0000000
--- a/testing/sqsh/APKBUILD
+++ /dev/null
@@ -1,46 +0,0 @@
-# Contributor: Ashton Spencer <[email-masked]>
-# Maintainer:
-pkgname=sqsh
-pkgver=2.1.7
-pkgrel=1
-pkgdesc="Sybase iSQL replacement"
-url="http://www.sqsh.org"
-arch="all"
-license="GPL"
-depends="freetds readline"
-depends_dev="freetds-dev"
-makedepends="$depends_dev"
-install=""
-subpackages="$pkgname-doc"
-source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz"
-
-_builddir="$srcdir"/$pkgname-$pkgver
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
-
-build() {
-	cd "$_builddir"
-	SYBASE=/usr
-	export SYBASE
-	./configure --prefix=/usr \
-		--sysconfdir=/etc \
-		--mandir=/usr/share/doc \
-#		--with-x \
-		--with-readline
-	make || return 1
-}
-
-package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" install || return 1
-	make DESTDIR="$pkgdir" install.man || return 1
-}
-
-md5sums="ce929dc8e23cedccac98288d24785e2d  sqsh-2.1.7.tar.gz"
-- 
1.7.5.1

---